/******************************************************************/
/* フリーな画像によるソーシャルボタン設置 15ボタン対応            */
/* jquery-snsbutton-1.2.js                                        */
/* 2017.7.22      urbanqee.com                                    */
/*                                                                */
/* 参考サイト：jQueryプラグインを自作するには？（$.fn）           */
/* http://www.buildinsider.net/web/jqueryref/031                  */
/******************************************************************/

/************** 公式SNSサイト URL *********************************  

* Twitter
 * http://twitter.com/goodies/tweetbutton
* facebook
 * https://developers.facebook.com/docs/plugins/share-button
 * https://developers.facebook.com/docs/plugins/like-button
 * https://developers.facebook.com/docs/plugins/follow-button
* facebook_share
 * https://developers.facebook.com/docs/plugins/share-button
* LINE
 * https://media.line.me/ja/how_to_install
https://developers.line.me/line-it/line-it-button-for-websites
* Google +1 Button
 * http://www.google.com/webmasters/+1/button/
* Hatena Bookmark
 * http://b.hatena.ne.jp/guide/bbutton
* Hatena Bookmark (Old Style)
 * http://b.hatena.ne.jp/
* Pocket
 * https://getpocket.com/publisher/button
* mixi_check
 * http://developer.mixi.co.jp/connect/mixi_plugin/mixi_check/spec_mixi_check
* mixi_like
 * http://developer.mixi.co.jp/connect/mixi_plugin/favorite_button/spec
* Tumblr
 * https://www.tumblr.com/buttons?language=ja_JP  
* GREE Social Feedback
 * http://docs.developer.gree.net/ja/platform/connect/socialfeedback
* Pinterest
 *https://developers.pinterest.com/docs/widgets/save/?
* Linked in
 * https://developer.linkedin.com/plugins/share
* feedly
 * https://feedly.com/factory.html
* Inoreader
 * 
* Skype
 * https://www.skype.com/ja/developer/create-share-buttons/
* Feedly
 *https://feedly.com/factory.html
* LDR
 *http://blog.livedoor.jp/staff_reader-help/archives/43312243.html スマホ用
 *http://reader.livedoor.com/publish/banner/

***************************************************************************/

/********************* jQueryプラグイン ***************************************
【重要】*修正箇所*  
 682行目の変数phpurlの値ソーシャルボタンカウント取得PHP(socialbutton-count.php)
 のパスを、アップロード先URL（完全フルパス）に修正してください。

 682 var phpurl = "socialbutton-count.phpのアップロード先URL（フルパス）";
*******************************************************************************/

(function($) {
$.fn.snsbutton = function(method, options) {
	options = options || {};
	var defaults = {
		twitterShare: { // 1
			url: document.URL,       // 共有ページURL
			text: $('title').html(), // 共有ページタイトル
			lang: 'ja',              // ja / en /de / fr / es
                        via: '',                 // アカウント名
                        size: '',                // ボタンの大きさ '', large
                        related: "",   // ユーザー名 
                        hashtags: "Lightbox",    // #ハッシュタグ
                        img: 'http://urbanqee.com/webutil/photo/lightbox290/images/Twitter.png', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'Twitter'      //ボタン画像の吹き出し用タイトル

		},
		facebookShare: { // 2
			button: '', // countの位置 top, right, nocountまたは省略 
			url: document.URL, //document.URL
			text: $('title').html(), //Share 共有ページタイトル
                        hashtags: '',    // #ハッシュタグ
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を Facebook で共有する'      //ボタン画像の吹き出し用タイトル

		},
                lineIt: { // 3
			button: 'button_count', // box_count / button / icon_link / icon
			url: document.URL, //document.URL
			text: $('title').html(), //Share 共有ページタイトル
                        hashtags: '',    // #ハッシュタグ
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を LINE で共有する',      //ボタン画像の吹き出し用タイトル
                        clientid: '1341209950',  // client_id 要　公式ボタンで確認する
                        state: '1409338029'     // state　要　公式ボタンで確認する
                },

		googlePlus1: { // 4
			button: '',        // countの位置 top, right, nocountまたは省略 l
			url: document.URL, //document.URL
			text: $('title').html(), //Share 共有ページタイトル
			lang: '', // en-US
			text: '', //Share 共有ページタイトル
                        hashtags: '',    // #ハッシュタグ
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を Google+1 で共有する',      //ボタン画像の吹き出し用タイトル
		}, 

		hatenaBookmark: { // 5
			button: '', // countの位置 top, right, nocountまたは省略 l
			url: document.URL,
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を はてなブックマーク に追加する',      //ボタン画像の吹き出し用タイトル
                        mode: "add"          //add:追加モード entry:閲覧モード
		},
		pocketButton: { // 6
			button: '',        // countの位置 top, right, nocountまたは省略 l
			url: document.URL,
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を Pocket に保存する',      //ボタン画像の吹き出し用タイトル
		},

		mixiCheck: { // 7
			key: '',            // key=mixiチェックキー (キーは事前登録）
			button: 'button-1', // button-1,button-2,button-3,button-4,button-5
			url: document.URL,
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を mixi で共有する',      //ボタン画像の吹き出し用タイトル
		},
		tumblrShare: { // 8
			key: '',            // key=mixiチェックキー (キーは事前登録）
			button: 'button-1', // button-1,button-2,button-3,button-4,button-5
			url: document.URL,
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を Tumblr で共有する',      //ボタン画像の吹き出し用タイトル
		},

		greeSf: { // 9
			type: 0, // 0,1,2,3,4 button
			url: document.URL,
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を GREE で共有する',      //ボタン画像の吹き出し用タイトル
		},

		pinTerest: { // 10
			button: '', // countの位置 top, right, nocountまたは省略 
			url: document.URL,
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を Pinterest で共有する',      //ボタン画像の吹き出し用タイトル
			media: '',         //アイキャッチ画像（サムネイル）
			description: ''
		},
		feedlyRss: { // 11
			url: '',              //RSSフィードURL
			//text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'Feedly - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		inoreaderRss: { // 12
			url: '',              //RSSフィードURL
			//text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'Inoreader - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		rssFeed: { // 13
			url: '',              //RSSフィードURL
			//text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'RSS - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		amebaBlog: { // 14
                        entrytext: "0",       //0:ページのURLおよびtitleをPOSTする, 0以外:内容そのままPOSTする
			url: document.URL,    //RSSフィードURL
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'RSS - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		evernoteClip: { // 15
                        entrytext: "0",       //0:ページのURLおよびtitleをPOSTする, 0以外:内容そのままPOSTする
			url: document.URL,    //RSSフィードURL
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'RSS - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		ldrRss: { // 16
			button: '', // countの位置 top, right, nocountまたは省略 
			url: '',              //RSSフィードURL
			//text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'LDR - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		gooBlog: { // 17
			url: document.URL,    //URL
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'LDR - RSSフィードを使用して、このページの情報を共有する',      //ボタン画像の吹き出し用タイトル
		},
		linkedIn: { // 18
			button: '', // countの位置 top, right, nocountまたは省略
			url: document.URL,    //URL
			text: document.title, //Share 共有ページタイトル
                        img: '', //ボタン画像
			width: '25',
			height: '25',
                        alt: 'このページの情報を Linkedin で共有する',      //ボタン画像の吹き出し用タイトル
		}
        };

	//var max_index = this.size() - 1;
          var max_index = this.length - 1;  // 2017.6.20 修正 .size() → .length

	return this.each(function(index) {
		switch (method) {
			case 'twitterShare':
				snsbutton_twitterShare(this, options, defaults.twitterShare, index, max_index);
				break;
			case 'facebookShare':
				snsbutton_facebookShare(this, options, defaults.facebookShare, index, max_index);
				break;
			case 'lineIt':
				snsbutton_lineIt(this, options, defaults.lineIt, index, max_index);
				break;
			case 'googlePlus1':
				snsbutton_googlePlus1(this, options, defaults.googlePlus1, index, max_index);
				break;
			case 'hatenaBookmark':
				snsbutton_hatenaBookmark(this, options, defaults.hatenaBookmark, index, max_index);
				break;
			case 'pocketButton':
				snsbutton_pocketButton(this, options, defaults.pocketButton, index, max_index);
				break;
			case 'mixiCheck':
				snsbutton_mixiCheck(this, options, defaults.mixiCheck, index, max_index);
				break;
			case 'tumblrShare':
				snsbutton_tumblrShare(this, options, defaults.tumblrShare, index, max_index);
				break;
			case 'greeSf':
				snsbutton_greeSf(this, options, defaults.greeSf, index, max_index);
				break;
			case 'pinTerest':
				snsbutton_pinTerest(this, options, defaults.pinTerest, index, max_index);
				break;
			case 'feedlyRss':
				snsbutton_feedlyRss(this, options, defaults.feedlyRss, index, max_index);
				break;
			case 'inoreaderRss':
				snsbutton_inoreaderRss(this, options, defaults.inoreaderRss, index, max_index);
				break;
			case 'rssFeed':
				snsbutton_rssFeed(this, options, defaults.rssFeed, index, max_index);
				break;
			case 'amebaBlog':
				snsbutton_amebaBlog(this, options, defaults.amebaBlog, index, max_index);
				break;
			case 'evernoteClip':
				snsbutton_evernoteClip(this, options, defaults.evernoteClip, index, max_index);
				break;
			case 'ldrRss':
				snsbutton_ldrRss(this, options, defaults.ldrRss, index, max_index);
				break;
			case 'gooBlog':
				snsbutton_gooBlog(this, options, defaults.gooBlog, index, max_index);
				break;
			case 'linkedIn':
				snsbutton_linkedIn(this, options, defaults.linkedIn, index, max_index);
				break;
			default:
				break;
		}

		return true;
	});
}

//* 1
function snsbutton_twitterShare(target, options, defaults, index, max_index)
{
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
	var url = options.url || defaults.url;
        var url2 = url;
	var text = options.text || defaults.text;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;

        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）エンコード
        var shareTitle = encodeURIComponent(text);      //このページのタイトル エンコード

	var url = "https://twitter.com/share?url=" + shareUrl + "&text=" + shareTitle; //Twitter URL
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);                   //IMGタグ設定
        $(target).css('cursor', 'pointer'); 
        //
        if(count == "top" || count == "right"){
          buttoncountSet(url2,"twitter",count,w,h,target);   //count設定
         }
}
//* 2
function snsbutton_facebookShare(target, options, defaults, index, max_index)
{
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
	var type = options.type || options.button || defaults.button;
	var url = options.url || defaults.url;
	var text = options.text || defaults.text;
        //var url2 = "http://urbanqee.com/doga/dl-cur/youtube-video_downloader.php"; // count用
        var url2 = url;                          // count用
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）
        var shareTitle = encodeURIComponent(text);      //このページのタイトル

        var url = "http://www.facebook.com/sharer.php?u="+ shareUrl +"&t=" + shareTitle;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);                   //IMGタグ設定
        $(target).css('cursor', 'pointer'); 
        if(count == "top" || count == "right"){
            buttoncountSet(url2,"facebook",count,w,h,target);   //count設定
         }
}
//* 3
function snsbutton_lineIt(target, options, defaults, index, max_index)
{
	var type = options.type || options.button || defaults.button;
	var url = options.url || defaults.url;
	var text = options.text || defaults.text;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var clientid = options.clientid || defaults.clientid;
        var state = options.state || defaults.state;
        var shareUrl2 = encodeURIComponent(encodeURIComponent(url));         //このページのURL(共有）2重エンコード
        //var shareTitle = encodeURIComponent(encodeURIComponent(text));      //このページのタイトル
  
        var url = "https://access.line.me/dialog/oauth/weblogin?response_type=code&client_id=" + clientid + "&state=" + state + "&redirect_uri=https%3A%2F%2Ftimeline.line.me%2Fauth%3FreturnUrl%3Dhttps%253A%252F%252Ftimeline.line.me%252Fsocial-plugin%252Fshare%253Furl%253D" + shareUrl2;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);                   //IMGタグ設定
        $(target).css('cursor', 'pointer'); 
}
//* 4
function snsbutton_googlePlus1(target, options, defaults, index, max_index)
{
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
	var type = options.type || options.button || defaults.button;
	var url = options.url || defaults.url;
        //var url2 = 'https://www.google.com/'; // count用
 	var url2 = url;                                         // count用
	var text = options.text || defaults.text;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）エンコード

        var url =  "https://plus.google.com/share?url=" + shareUrl;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag); 
        $(target).css('cursor', 'pointer'); 
        if(count == "top" || count == "right"){
          buttoncountSet(url2,"google",count,w,h,target);   //count設定
         }
}
//* 5 http://b.hatena.ne.jp/entry/urbanqee.com/
function snsbutton_hatenaBookmark(target, options, defaults, index, max_index)
{
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
	var mode = options.mode || defaults.mode;
	var url = options.url || defaults.url;
        //var url2 = 'https://urbanqee.com/'; // count用
 	var url2 = url;                                         // count用
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）
        var shareTitle = encodeURIComponent(text);      //このページのタイトル
        if (mode == "add"){
             var url = "http://b.hatena.ne.jp/add?mode=confirm&url=" + shareUrl + "&title=" + shareTitle;
            }
        else{ var url = "http://b.hatena.ne.jp/entry/" + shareUrl;}
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
        //
        if(count == "top" || count == "right"){
            buttoncountSet(url2,"hatena",count,w,h,target);   //count設定
          }
}
//* 6
function snsbutton_pocketButton(target, options, defaults, index, max_index)
{
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
	var layout = options.layout || options.button || defaults.button;
	var url = options.url || defaults.url;
        //var url2 = 'https://www.google.co.jp/'; // count用
 	var url2 = url;                                         // count用
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）
        var shareTitle = encodeURIComponent(text);      //このページのタイトル

        var url = "http://getpocket.com/edit?url=" + shareUrl + "&title=" + shareTitle;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
        //
        if(count == "top" || count == "right"){
          buttoncountSet(url2,"pocket",count,w,h,target);   //count設定
         }
}
//* 7
function snsbutton_mixiCheck(target, options, defaults, index, max_index)
{
	var key = options.key || defaults.key; // key=mixiチェックキー (キーは事前登録）
	var button = options.button || defaults.button;
	var url = options.url || defaults.url;
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）
        var shareTitle = encodeURIComponent(text);      //このページのタイトル

	if (key == '') {
		return;
	}

	var url = "https://mixi.jp/share.pl?mode=login&u=" + shareUrl + "&k=" + key;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 8
function snsbutton_tumblrShare(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl2 = encodeURIComponent(encodeURIComponent(url));         //このページのURL(共有）2重エンコード
        var shareTitle2 = encodeURIComponent(encodeURIComponent(text));      //このページのタイトル  2重エンコード

        var url = "https://www.tumblr.com/login?redirect_to=https%3A%2F%2Fwww.tumblr.com%2Fwidgets%2Fshare%2Ftool%3Fposttype%3Dlink%26title%3D" + shareTitle2 + "%26content%3D" + shareUrl2 + "%26canonicalUrl%3D" + shareUrl2 + "%26shareSource%3Dtumblr_share_button%26_format%3Dhtml";
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 9
function snsbutton_greeSf(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）
        var shareTitle = encodeURIComponent(text);      //このページのタイトル  

        var url = "https://pid.gree.net/login/entry?ignore_sso=1&backto=http%3A%2F%2Fgree.jp%2F%3Fmode%3Dshare%26act%3Dwrite%26url%3D" + shareUrl + "%26button_type%3D3%26button_size%3D20&campaign_code=";
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 10
function snsbutton_pinTerest(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
        //var url2 = 'http://pinplugins.com/pincount/';  // count用
        var url2 = url; 
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
	var count = options.button || defaults.button;
	var media = options.media != undefined ? options.media : defaults.media;

        var shareUrl2 = encodeURIComponent(encodeURIComponent(url));         //このページのURL(共有）2重エンコード
        var shareTitle2 = encodeURIComponent(encodeURIComponent(text));      //このページのタイトル  2重エンコード
        var pin_media = encodeURIComponent(encodeURIComponent(media));      // 画像URL 2重エンコード

        var url = "https://jp.pinterest.com/join/?next=/pin/create/button/%3Furl%3D"+ shareUrl2 + "%26description%3D" + shareTitle2 + "%26media%3D" + pin_media;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
        //
        if(count == "top" || count == "right"){
          buttoncountSet(url2,"pinterest",count,w,h,target);   //count設定
         }
}
//* 11
function snsbutton_feedlyRss(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
        var url2 = url;
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;

        var rssUrl = encodeURIComponent(url);         //このページのURL(共有）

        var url = "http://cloud.feedly.com/#subscription%2Ffeed%2F" + rssUrl;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 

        //
        if(count == "top" || count == "right"){
          buttoncountSet(url2,"feedly",count,w,h,target);   //count設定
         }
}

//* 12
function snsbutton_inoreaderRss(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;

        var rssUrl = encodeURIComponent(url);         //このページのURL(共有）

        var url = "http://www.inoreader.com/feed/" + rssUrl;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 13
function snsbutton_rssFeed(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;

        var rssUrl = url;         //このページのURL(共有）エンコードしない

        var url = rssUrl;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 14
function snsbutton_amebaBlog(target, options, defaults, index, max_index)
{
        var entrytext = options.entrytext || defaults.entrytext;  // Post内容
	var text = options.text || defaults.text; //ページタイトル
	var url = options.url || defaults.url;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）エンコードしない
        var shareTitle = encodeURIComponent(text);      //このページのタイトル
        var entryText = "";
        if (entrytext == "0"){
            entryText = shareTitle + "<br>" + shareUrl;
          }
        else{
            entryText = encodeURIComponent(entrytext);
          }
        var url = "http://blog.ameba.jp/ucs/entry/srventryinsertinput.do?entry_text=" + entryText + "&editor_flg=1";

        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 15
function snsbutton_evernoteClip(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
	var text = options.text || defaults.text; //ページタイトル
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）
        var shareTitle = encodeURIComponent(text);      //このページのタイトル  

        var url = 'https://www.evernote.com/clip.action?url=' + shareUrl + '&title=' + shareTitle;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 16
function snsbutton_ldrRss(target, options, defaults, index, max_index)
{
	var url = options.url || defaults.url;
        var url2 = url;
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;

        var rssUrl = url;         //このページのURL(共有）エンコードしない

        var url = "http://reader.livedwango.com/subscribe/" + rssUrl;
        var tag = imgtag_set(url,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer');
        //
        if(count == "top" || count == "right" ){
               buttoncountSet(url2,"livedoor",count,w,h,target);   //count設定 
         }
}
//* 17
function snsbutton_gooBlog(target, options, defaults, index, max_index)
{
        var entrytext = options.entrytext || defaults.entrytext;  // Post内容
	var text = options.text || defaults.text; //ページタイトル
	var url = options.url || defaults.url;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）エンコードしない
        var shareTitle = encodeURIComponent(text);      //このページのタイトル
        var entryText = "";

        var url2 = "http://blog.goo.ne.jp/admin/newentry/?fid=bookmarklet"
                + "&title=" + shareTitle
                + "&burl=" + shareUrl; 

        var tag = imgtag_set(url2,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
}
//* 18
function snsbutton_linkedIn(target, options, defaults, index, max_index)
{
//参照：http://www.doe.co.jp/hp-tips/2016/12/15/sns-btn-link/
	var text = options.text || defaults.text; //ページタイトル
	var url = options.url || defaults.url;
        var url3 = url;
        var img = options.img || defaults.img;
        var alt = options.alt || defaults.alt;
        var w = options.width || defaults.width;
        var h = options.height || defaults.height;
        var count = options.button || defaults.button;     // '',"nocount","top", "right"
        var shareUrl = encodeURIComponent(url);         //このページのURL(共有）エンコードしない
        var shareTitle = encodeURIComponent(text);      //このページのタイトル
        var url2 = "http://www.linkedin.com/shareArticle?mini=true&url="
                + "&burl=" + shareUrl; 

        var tag = imgtag_set(url2,img,alt,w,h)  //IMGタグ作成
	$(target).html(tag);
        $(target).css('cursor', 'pointer'); 
        if(count == "top" || count == "right" ){
               buttoncountSet(url3,"linkedin",count,w,h,target);   //count設定 
         }
}


// 関数 ******************************************************************************************

function imgtag_set(url,img,alt,w,h){

        var winopen = "window.open('" + url + "', '_blank', 'width=500,height=300,resizable=yes,scrollbars=yes')";
        var tag = '<img class="fukidashi" src="' + img + '" title="' + alt + '" width="' + w + '" height="' + h + '" onclick="' + winopen + '">';
        
        return tag;

}

function buttoncountSet(url2,site,pos,bw,bh,target){
        var shareurl = url2;         // ボタン設置ページのURL    buttoncountSet(url2,"facebook",count,w,h,target);  
        var site = site;             // SNS サイト名 例：facebook
        var pos = pos;               // countの設置位置 top, right
        var bwidth = bw;             // ボタン画像の横幅
        var bheight = bh;            // ボタン画像の高さ
        var phpurl = "http://urbanqee.com/webutil/sns/js/socialbutton-count.php";  // ソーシャルボタンカウント取得PHP URL (要修正）     
        //var encodeurl = encodeURIComponent(shareurl);  // エンコードはPHP側で行う

    if(pos == "top" || pos == "right"){

        $.ajax({
            url: phpurl,  // ソーシャルボタンカウント取得PHP
            dataType: "json",
            data: { url: shareurl, site: site, pass: "H290707" },

            success: function(data) {
                var res = data;
                if(pos == "top"){
                   var oyadiv = $('<div style="width: ' + bwidth + 'px; display:table-cell;"></div>'); //親要素追加
                   $(target).wrap(oyadiv);
                   $(target).css( {'float': 'none'} ); // button div float none  
                   var countTag = '<div class="balloon_top" style="width: ' + "" + 'px">' + res + '</div>';
                   $(target).before(countTag);
                  }
                else if(pos == "right"){
                   var oyadiv = $('<div></div>'); //親要素追加
                   $(target).wrap(oyadiv);
                   var countTag = '<div style="float: left; height:' + bheight + 'px"><span class="balloon_right">' + res + '</span></div><div style="clear:both"></div>';
                   $(target).after(countTag);
                   //$(".baloon-right").css( {'height': bheight ,'float': 'left' } );
                   $(target).css( {'float': 'left'} );  // button div float left  
                  }
                else{ return false; }
             },
	   error: function(obj) {
                console.log(obj);
		alert("通信に失敗しました…。");

           }
         });
    }

}

})(jQuery);
